#Source: https://github.com/Alex313031/Thorium/tags
%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}
%define _requires_exceptions libffmpeg.so()(64bit)

Summary: Chromium based browser for highend CPUs
Name: thorium-browser
Version:  122.0.6261.132
Release: %mkrel 1
License: GPL
Group: Networking/WWW
URL: https://github.com/Alex313031/Thorium/tags
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoReqProv: no

%description
A highly optimized Chromium based browser for highend CPUs.
It won't launch on CPU's below 2nd gen Core or AMD FX, but benefits
from Advanced Vector EXtensions.

%prep
%setup -T -n thorium -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

%define deb_package thorium-browser_%{version}_amd64.deb

#download source
pushd $RPM_SOURCE_DIR
wget -nc "https://github.com/Alex313031/Thorium/releases/download/M%{version}/%{deb_package}"
popd

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_package} data.tar.xz | xz -d -9 | tar x -C %buildroot

#no cron.daily
rm -rf %buildroot/etc
rm -f %buildroot/%{_datadir}/applications/thorium-shell.desktop

mkdir -p %buildroot/%{_datadir}/pixmaps
cp %buildroot/opt/chromium.org/thorium/product_logo_48.png %buildroot/%{_datadir}/pixmaps/thorium-browser.png

%post
/sbin/ldconfig
%update_menus &> /dev/null ||:
%update_desktop_database &> /dev/null ||:
%update_mime_database &> /dev/null ||:

%postun
/sbin/ldconfig
%clean_menus &> /dev/null ||:''
%clean_desktop_database &> /dev/null ||:''
%clean_mime_database &> /dev/null ||:''

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%{_bindir}
%{_datadir}
/opt

%changelog
* Fri Mar 22 2024 tex - 122.0.6261.132-1pclos2024
- new version

* Tue Feb 13 2024 tex - 120.0.6099.235-1pclos2024
- new version

* Thu Jan 11 2024 tex - 119.0.6045.214-1pclos2024
- new version

* Thu Oct 19 2023 tex - 117.0.5938.157-1pclos2023
- new version

* Thu Sep 07 2023 tex - 116.0.5845.169-1pclos2023
- new version

* Sat Aug 19 2023 tex - 115.0.5790.172-1pclos2023
- new version

* Tue Aug 01 2023 tex - 114.0.5735.205-1pclos2023
- new version

